Loading...
Searching...
No Matches
BALL::VIEW::DockWidget Class Reference
Visualisation » Modular Widgets

`#include <BALL/VIEW/WIDGETS/dockWidget.h>`

Inheritance diagram for BALL::VIEW::DockWidget:

## Public Slots

virtual void | dropEvent (QDropEvent *e)
virtual void | dragEnterEvent (QDragEnterEvent *e)
virtual void | showGuestContextMenu (const QPoint &)

## Public Member Functions

| DockWidget (QWidget *parent, const char *title=0)
| Use this constructor!
virtual | ~DockWidget ()
void | setGuest (QWidget &guest)
virtual void | initializeWidget (MainControl &main_control)
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
virtual void | setWidgetVisible (bool state)
| For usage with Python:
QGridLayout * | getGuestLayout ()
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const

## Protected Member Functions

| DockWidget ()
| DockWidget (const DockWidget &)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)

## Protected Attributes

QWidget * | container_
QWidget * | guest_
QGridLayout * | layout_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Class for ModularWidget, which can be docked in the MainApplication window. Insert the widget with the main content as member with setGuest(). This class is very generic, to understand its concept better, have a look at the implementation in LogView.

Definition at line 25 of file dockWidget.h.

## Constructor & Destructor Documentation

## DockWidget() [1/3]

BALL::VIEW::DockWidget::DockWidget | ( | QWidget * | parent,
|  | const char * | title = 0 )

Use this constructor!

## ~DockWidget()

virtual BALL::VIEW::DockWidget::~DockWidget | ( |  | ) |

inline virtual

Definition at line 39 of file dockWidget.h.

## DockWidget() [2/3]

BALL::VIEW::DockWidget::DockWidget | ( |  | ) |

protected

## DockWidget() [3/3]

BALL::VIEW::DockWidget::DockWidget | ( | const DockWidget & |  | ) |

protected

## Member Function Documentation

## dragEnterEvent

virtual void BALL::VIEW::DockWidget::dragEnterEvent | ( | QDragEnterEvent * | e | ) |

virtual slot

## dropEvent

virtual void BALL::VIEW::DockWidget::dropEvent | ( | QDropEvent * | e | ) |

virtual slot

## fetchPreferences()

virtual void BALL::VIEW::DockWidget::fetchPreferences | ( | INIFile & | inifile | ) |

virtual

Load settings from an INIFile

See also
  ModularWidget::fetchPreferences

Reimplemented from BALL::VIEW::ModularWidget.

Reimplemented in BALL::VIEW::MolecularControl, and BALL::VIEW::PyWidget.

## getGuestLayout()

QGridLayout * BALL::VIEW::DockWidget::getGuestLayout | ( |  | ) |

inline

Definition at line 64 of file dockWidget.h.

## initializeWidget()

virtual void BALL::VIEW::DockWidget::initializeWidget | ( | MainControl & | main_control | ) |

virtual

Initialize the widget.

See also
  ModularWidget::initializeWidget

Reimplemented from BALL::VIEW::ModularWidget.

Reimplemented in BALL::VIEW::DatasetControl, BALL::VIEW::FileObserver, BALL::VIEW::GenericControl, BALL::VIEW::GeometricControl, BALL::VIEW::HelpViewer, BALL::VIEW::LogView, BALL::VIEW::MolecularControl, and BALL::VIEW::PyWidget.

## setGuest()

void BALL::VIEW::DockWidget::setGuest | ( | QWidget & | guest | ) |

Insert a widget with the content of the window.

## setWidgetVisible()

virtual void BALL::VIEW::DockWidget::setWidgetVisible | ( | bool | state | ) |

virtual

For usage with Python:

## showGuestContextMenu

virtual void BALL::VIEW::DockWidget::showGuestContextMenu | ( | const QPoint & |  | ) |

inline virtual slot

Definition at line 75 of file dockWidget.h.

## writePreferences()

virtual void BALL::VIEW::DockWidget::writePreferences | ( | INIFile & | inifile | ) |

virtual

Write settings to an INIFile

See also
  ModularWidget::writePreferences

Reimplemented from BALL::VIEW::ModularWidget.

Reimplemented in BALL::VIEW::MolecularControl, and BALL::VIEW::PyWidget.

## Member Data Documentation

## container_

QWidget* BALL::VIEW::DockWidget::container_

protected

Definition at line 83 of file dockWidget.h.

## guest_

QWidget* BALL::VIEW::DockWidget::guest_

protected

Definition at line 84 of file dockWidget.h.

## layout_

QGridLayout* BALL::VIEW::DockWidget::layout_

protected

Definition at line 85 of file dockWidget.h.